[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.KeyDown

Handler for keyboard key pressed.

## Declaration

Source position: controls.pp line 635

`protected procedure TDragManager.KeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); virtual; abstract;`

## Arguments

`Key` |  | Virtual key code for the key down event.
`Shift` |  | Shift, Ctrl, or Alt modifier for the key up event.

## Description

When (and while) the Ctrl key is pressed, dropping is disabled. The Esc key aborts the current dragging operation immediately.